Télécharger pour Linux

La dernière version de calibre est la 3.12.0. Quoi de neuf.

Merci de ne pas utiliser le paquet calibre fourni par votre distribution, ceux-ci sont souvent problématiques/obsolètes. Utilisez plutôt l'installation des binaires décrite ci-dessous.

Installation des binaires

calibre a des binaires d'installation qui comprennent des versions privées de toutes ses dépendances. Il fonctionne avec des machines compatibles Intel 32 bits et 64 bits. Pour installer ou mettre à niveau, copiez simplement la commande suivante dans un terminal et appuyez sur Entrée:

sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.py | sudo python -c "import sys; main=lambda:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main()"

En attendant que le téléchargement se termine, vous pouvez envisager, si vous le souhaitez, de contribuer pour soutenir le développement de calibre.

Note

  • Si vous obtenez une erreur concernant un certificat non approuvé, cela signifie que votre ordinateur n'a aucun certificat racine installé et ne peut donc pas télécharger le programme d'installation de manière sécurisée. Si vous voulez continuer, passez l'option --no-check-certificate à wget, comme ceci :
    sudo -v && wget --no-check-certificate -nv -O- https://download.calibre-ebook.com/linux-installer.py | sudo python -c "import sys; main=lambda:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main()"
  • Vous devez avoir installé xdg-utils, wget et python ≥ 2.6 sur votre système avant d'exécuter le programme d'installation.
  • Vous pouvez désinstaller calibre en exécutant sudo calibre-uninstall. Alternativement, la suppression du répertoire d'installation supprime 99% des fichiers installés.
  • Vous avez besoin de GLIBC 2.17 ou supérieur et llibstdc++.so.6.0.17 (à partir de gcc 4.7.0) ou supérieur pour exécuter calibre.
  • Vous pouvez modifier le dossier d'installation de calibre par défaut (/opt) comme ceci :
    sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.py | sudo python -c "import sys; main=lambda x:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main('/opt')"
    Remplacez /opt ci-dessus par le dossier dans lequel vous souhaitez que calibre soit automatiquement installé.
  • Vous pouvez également faire une installation "isolée", qui ne touche que les fichiers dans le répertoire d'installation et n'a pas besoin d'être exécutée en tant que root, comme ceci :
    wget -nv -O- https://download.calibre-ebook.com/linux-installer.py | python -c "import sys; main=lambda x,y:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main('~/calibre-bin', True)"

Installation binaire manuelle ou retour à une version précédente

Si vous souhaitez revenir à une version de calibre antérieure ou télécharger une mise à jour de calibre manuellement, téléchargez le tarball de cette version ici (choisissez la version 32 bits ou 64 bits, selon le cas). En supposant que vous voulez calibre dans /opt/calibre, exécutez la commande suivante, en modifiant le chemin vers calibre-tarball.txz ci-dessous le cas échéant :

    sudo mkdir -p /opt/calibre && sudo rm -rf /opt/calibre/* && sudo tar xvf /path/to/downloaded/calibre-tarball.txz -C /opt/calibre && sudo /opt/calibre/calibre_postinstall
    

Installation depuis la source

AVERTISSEMENT : calibre est un logiciel très complexe avec beaucoup de dépendances très précises. Si vous installez à partir de la source, vous devez vous débrouiller seul. N'ouvrez pas de rapports de bogues et n'attendez aucune forme de support. Vous avez été averti.

Si vous êtes toujours déterminé à installer à partir de la source, continuez à lire :

  1. Assurez-vous que Python 2 est installé sur votre système.
  2. Installez les différentes dépendances listées ci-dessous.
  3. Exécutez les commandes suivantes dans un terminal :
curl -L https://calibre-ebook.com/dist/src | tar xvJ 
cd calibre*
sudo python2 setup.py install
        


Dépendances

La liste mise à jour des dépendances inclues dans les binaires officiels de calibre est dans sources.json. Bien que l'installation de calibre puisse fonctionner avec d'autres versions des dépendances que celles répertoriées ici, elle n'est pas testée/prise en charge. En plus de ces dépendances, plusieurs autres outils sont nécessaires, tel que pkg-config, un compilateur C/C++, etc. Vous pouvez également accélérer considérablement la partie "Compilation RapydScript" du processus de construction en installant rapydscript-ng.

Choisissez la langue désirée